{% extends "base.html" %}

{% load i18n %}
{% load static %}
{% load stats %}

{% block title %}{% trans "Paperwork - Usage statistics" %}{% endblock %}

{% block extra_headers %}

<script src="{% static "chart.umd.js" %}"></script>

<style>
hr {
    margin: 2em auto;
}

h2 {
    margin-bottom: 20px;
}

#selectors {
    text-align: center;
}

.selector {
    display: inline-block;
    white-space: nowrap;
    line-height: 40px;
    font-size: 0.75em;
}

.selector_left, .selector_middle, .selector_right {
    border: 1px solid gray;
    margin-right: 10px;
    padding: 4px 9px 4px 9px;
    text-decoration: none;
    color: gray;
    background-image: radial-gradient(at top left, #ffffff, #f9f9f9 75%);
}
.selector_left:hover, .selector_right:hover {
    color: black;
}

.selector_selected {
    background-image: radial-gradient(at top left, #ffffff, #89abcd 75%);
    cursor: default;
    color: black;
    padding: 5px 10px 5px 10px;
}
.selector_selected:hover {
    color: black;
    text-decoration: none;
}

.selector_left {
    margin-right: 0px;
    border-right: 0px;
    border-radius: 10px 0px 0px 10px;
}

.selector_right {
    margin-left: 0px;
    border-radius: 0px 10px 10px 0px;
}

.selector_middle {
    margin-left: 0px;
    margin-right: 0px;
    border-right: 0px;
    border-radius: 0px 0px 0px 0px;
}

#graphs {
    text-align: left;
    border-top: 1px solid black;
    display: inline-block;
    vertical-align: top;
    height: 400px;
    padding: 50px;
}

</style>

{% endblock %}

{% block body %}
<h1>
<a href="{% url 'beacon:statistics' %}">{% trans "Paperwork usage statistics" %}</a>
&gt; {% trans "Historic" %}
</h1>

<hr/>

<div id="graph_and_next">

    <p id="selectors">
        <span class="selector">
            <a href="{% stats_url_switch settings 'split' '' %}"
                class="selector_left
                    {% if settings.split == '' %}
                    selector_selected
                    {% endif %}
                    ">
                {% trans "≥ 50 docs" %}
            </a>
            <a href="{% stats_url_switch settings 'split' 'docs' %}"
                class="selector_middle
                    {% if settings.split == 'docs' %}
                    selector_selected
                    {% endif %}
                    ">
                {% trans "documents" %}
            </a>
            <a href="{% stats_url_switch settings 'split' 'os' %}"
                class="selector_middle
                    {% if settings.split == 'os' %}
                    selector_selected
                    {% endif %}
                    ">
                {% trans "OSes" %}
            </a>
            <a href="{% stats_url_switch settings 'split' 'version' %}"
                class="selector_right
                    {% if settings.split == 'version' %}
                    selector_selected
                    {% endif %}
                    ">
                {% trans "versions" %}
            </a>
        </span>
    </p>

    <div>
        <canvas id="graph"></canvas>
        <script>
(async function() {
    new Chart(
        document.getElementById('graph'),
        {
            type: 'line',
            data: {
                labels: [
                    {% for d in labels %}'{{ d|date }}',
                    {% endfor %}
                ],
                datasets: JSON.parse("{{datasets|escapejs}}")
            },
            options: {
                animation: false
            }
        }
    );
})();
        </script>
    </div>

</div>

{% endblock %}
